html, body, div, span, applet, object, iframe,
h1, h2, h3, h4, h5, h6, p, blockquote, pre,
a, abbr, acronym, address, big, cite, code,
del, dfn, em, img, ins, kbd, q, s, samp,
small, strike, strong, sub, sup, tt, var,
b, u, i, center,
dl, dt, dd, ol, ul, li,
fieldset, form, label, legend,
table, caption, tbody, tfoot, thead, tr, th, td,
article, aside, canvas, details, embed,
figure, figcaption, footer, header, hgroup,
menu, nav, output, ruby, section, summary,
time, mark, audio, video {
	margin: 0;
	padding: 0;
	border: 0;
	font-size: 100%;
	font: inherit;
	vertical-align: baseline;
}
/* HTML5 display-role reset for older browsers */
article, aside, details, figcaption, figure,
footer, header, hgroup, menu, nav, section {
	display: block;
}
body {
	line-height: 1;
}
ol, ul {
	list-style: none;
}
blockquote, q {
	quotes: none;
}
blockquote:before, blockquote:after,
q:before, q:after {
	content: '';
	content: none;
}
table {
	border-collapse: collapse;
	border-spacing: 0;
}

:root {
    --color-font-white: rgb(204, 204, 204);
    --color-font-beige: rgb(226, 192, 141);
    --color-font-gray: rgb(128, 128, 128);
    --color-font-darkest: rgb(20, 20, 20);
    --color-font-dark-blue: rgb(86, 156, 214);
    --color-font-light-blue: rgb(149, 209, 241);
    --color-font-green: rgb(106, 153, 85);
    --color-font-red: rgb(206, 145, 120);

    --color-red: rgb(255, 61, 61);

    --color-lightest: rgb(58, 58, 58);
    --color-light: rgb(49, 49, 49);
    --color-dark: rgb(36, 36, 36);
    --color-main: rgb(31, 31, 31);
    --color-darky: rgb(27, 27, 27);
    --color-darkest: rgb(24, 24, 24);

    /* used to be #0c3c01, #061f00 */
    --color-background: var(--color-darky);

    --color-main-contrast: rgb(51, 51, 51);

    --font-size-small: 10px;
    --font-size: 16px;
    --font-size-h4: 16px;
    --font-size-h3: 18.72px;
    --font-size-h2: 24px;
    --font-size-h1: 32px;
    --heading-weight: 700;
}
h1 {
    font-size: var(--font-size-h1);
}
h2 {
    font-size: var(--font-size-h2);
}
h3 {
    font-size: var(--font-size-h3);
}
h4 {
    font-size: var(--font-size-h4);
}
h1, h2, h3, h4 {
    font-weight: var(--heading-weight);
    line-height: normal;
    margin: 10px 0;
}
button {
    padding: 3px 10px;
    border-radius: 0;
    border: none;
    background-color: var(--color-light);
    font-family: "SourceSans3";
    font-size: var(--font-size-default);
    color: var(--color-font-white);
}
button:hover {
    cursor: pointer;
    background-color: var(--color-lightest);
}

/* TODO: also for other colors */
button.success {
    color: var(--color-font-green);
}
button.danger {
    color: var(--color-red);
}

input, textarea {
    font-family: "SourceSans3";
    font-size: var(--font-size-default);
    color: var(--color-font-beige);
    background-color: var(--color-light);
    border: none;
}
input:disabled, textarea:disabled {
    color: var(--color-font-gray);
}
input:focus-visible, textarea:focus-visible {
    outline: 1px solid var(--color-font-green);
}
input[type="checkbox"] {
    background-color: red;
}
input:checked {
    outline: none;
    background-color: red;
}
p {
    margin-bottom: 10px;
}
p a {
    text-decoration: underline;
    color: var(--color-font-dark-blue);
}
p a:hover {
    text-decoration: underline;
    color: var(--color-font-light-blue);
}
ul ul {
    padding-left: 20px;
}
ul li {
    list-style-type: circle;
    list-style-position: inside;
    margin-bottom: 10px;
}
@font-face {
    font-family: "JetBrainsMono";
    src: url("/style/JetBrainsMono-Regular.woff2") format("woff2");
}
@font-face {
    font-family: "SourceSans3";
    src: url("/style/SourceSans3-Regular.ttf") format("truetype");
}
@font-face {
    font-family: "inter";
    src: url("/style/Inter-VariableFont_opsz,wght.ttf") format("truetype");
}
body {
    /* font-family: "JetBrainsMono"; */
    font-family: "SourceSans3";
    font-size: var(--font-size-default);
    line-height: 22px;
    color: var(--color-font-white);
    background-color: var(--color-background);
    display: flex;
    flex-direction: column;
    min-height: 120vh;
}
a {
    color: var(--color-font-white);
    text-decoration: none;
}
b {
    font-weight: 1000;
}
i {
    font-style: italic;
}header {
    background-color: #216477;
}

.container {
    width: 100%;
    padding: 0 10px;
}

.image img {
    max-width: 100%;
}
.image {
    margin: 0 auto;
    display: block;
    max-width: 400px;
    margin-bottom: 50px;
}

/* SMALL SCREENS */
@media only screen and (max-width: 850px) {
    .discussion-answers {
        padding: 0;
    }
}


/* BIG SCREENS */
@media only screen and (min-width: 851px) {
    .container {
        /* original: 800 */
        width: 800px;
        margin: 0 auto;
    }
}
